Bug 1009501 - Need to reorganize directories used for DTGov ontologies and data
Need to reorganize directories used for DTGov ontologies and data
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: 6.0.0
Assigned To: Kurt T Stam
Stefan Bunciak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 10:41 EDT by Len DiMaggio
Modified: 2014-03-05 10:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DTGOV-87 Major Closed rename the data directory to dtgov-data 2014-03-05 10:46:19 EST

  None (edit)
Description Len DiMaggio 2013-09-18 10:41:15 EDT
Description of problem:

In ER2, ontologies and workflows are stored in top level dir (jboss-eap-6.1/data) named "data" - can we rename this to "dtgov-data" to make it more clear?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Len DiMaggio 2013-09-18 11:37:52 EDT
From Eric:

Just to be clear, we still need a place to put the *actual* dtgov seed
data (ie the single *.owl ontology file).

Again, for clarity, we have the following two things required for dtgov:

1) deployment-status.owl : this is added to S-RAMP by the installer and
must exist somewhere in the product distro, but should probably not live
with the dtgov workflows

2) dtgov workflows : these are "example" or "quickstart" workflows that
users can modify and then deploy via maven

My point is that we likely need two places to store this stuff - a
"seed-data" directory of some kind and a "dtgov-workflows" directory of
some kind.

Not sure where the former goes, but the latter might go in the quickstarts.

Note that in Community I'm going to have this structure in the distro:

dtgov-2.0.0/seed-data
dtgov-2.0.0/workflows
Comment 2 JBoss JIRA Server 2013-10-02 20:54:17 EDT
Kurt Stam <kurt.stam@jboss.com> updated the status of jira DTGOV-87 to Resolved
Comment 3 JBoss JIRA Server 2013-10-02 20:54:26 EDT
Kurt Stam <kurt.stam@jboss.com> updated the status of jira DTGOV-87 to Closed
Comment 7 Stefan Bunciak 2013-12-12 07:55:55 EST
Verified in FSW 6.0.0.ER7
Comment 8 JBoss JIRA Server 2014-03-05 10:41:07 EST
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira DTGOV-87 to Reopened
Comment 9 JBoss JIRA Server 2014-03-05 10:46:20 EST
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira DTGOV-87 to Closed

Note You need to log in before you can comment on or make changes to this bug.